package com.goafanti.user.service.impl;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.goafanti.common.dao.OrganizationPropertiesMapper;
import com.goafanti.common.model.OrganizationProperties;
import com.goafanti.user.service.OrganizationPropertiesService;
@Service
public class OrganizationPropertiesServiceImpl implements OrganizationPropertiesService{
	@Autowired
    OrganizationPropertiesMapper organizationPropertiesMapper;

	@Override
	public OrganizationProperties selectOrgProByUserId(String uid) {
		return organizationPropertiesMapper.selectOrgProByUserId(uid);
	}

	@Override
	public OrganizationProperties insert(OrganizationProperties orgPro) {
		organizationPropertiesMapper.insert(orgPro);
		return orgPro;
	}

	@Override
	public int updateByPrimaryKeySelective(OrganizationProperties orgPro) {
		return organizationPropertiesMapper.updateByPrimaryKeySelective(orgPro);
	}
}
